Bug 51406

Summary: When listing files in subdirectories, the path is omitted
Product: Apache httpd-2 Reporter: Mikhail T. <mi+apache>
Component: mod_ftpAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: major Keywords: MassUpdate
Priority: P2    
Version: 2.2.15   
Target Milestone: ---   
Hardware: PC   
OS: All   

Description Mikhail T. 2011-06-21 14:57:12 UTC
Trying to do something like ``ls pub/*.zip'' produces a listing of just-filenames:

227 Entering Passive Mode (216,35,74,108,186,172)
150 Opening ASCII mode data connection for file list
-rw-r--r--    1 httpd    ftp       3019407 Jul 21  2010 foo.zip

The listing should, instead, read:

227 Entering Passive Mode (216,35,74,108,186,172)
150 Opening ASCII mode data connection for file list
-rw-r--r--    1 httpd    ftp       3019407 Jul 21  2010 pub/foo.zip

The incompatibility breaks various scripts and programs such as ncftpget (version 3.1.4, although the recent versions of ncftpget seem to have a workaround).
Comment 1 William A. Rowe Jr. 2011-06-22 21:03:38 UTC
Good catch, thanks.  Have been meaning to work up some ls -flag option code, so
I can research this at the same time.
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:47 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.